/* Description: Master CSS file */

/*****************************************
Table Of Contents:
- General Styles
- Header
- Media Queries
******************************************/

/*****************************************
Colors:
- Body text - white #dee3e6
- Heading text - white #ffffff
- Buttons, icons - blue #0984e3
******************************************/


/**************************/
/*     General Styles     */
/**************************/
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body,
html {
    width: 100%;
	height: 100%;
}

body, p {
	color: #000000; 
	font: 600 1.5rem/2.5rem "Poppins", sans-serif;
}

h1 {
	color: #000000;
	font-weight: 600;
	font-size: 4.25rem;
	line-height: 4.75rem;
}

h2 {
	color: #ffffff;
	font-weight: 600;
	font-size: 2.5rem;
	line-height: 3.25rem;
}

h3 {
	color: #ffffff;
	font-weight: 600;
	font-size: 1.875rem;
	line-height: 2.5rem;
}

h4 {
	color: #ffffff;
	font-weight: 600;
	font-size: 1.5rem;
	line-height: 2.125rem;
}

h5 {
	color: #ffffff;
	font-weight: 600;
	font-size: 1.25rem;
	line-height: 1.625rem;
}

h6 {
	color: #ffffff;
	font-weight: 600;
	font-size: 1rem;
	line-height: 1.375rem;
}

.p-small {
	font-size: 0.875rem;
	line-height: 1.5rem;
}

.p-large {
	font-size: 1.125rem;
	line-height: 1.75rem;
}

.container {
    margin: 0 auto;
    padding: 0 15px;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.grid {
    display: grid;
    gap: 20px;
    justify-content: center;
    align-items: center;
    height: 100%;
}

img {
	max-width:100%;height:auto;
	vertical-align: middle; /* solves a gap when inside image-container */
}

ul {
    list-style-type: none;
}

.li-space-lg li {
	margin-bottom: 0.5rem;
}

a {
	color: #dee3e6;
	text-decoration: underline;
}

a:hover {
	color: #dee3e6;
	text-decoration: underline;
}

.no-line,
.no-line:hover {
	text-decoration: none;
}




/******************/
/*     Header     */
/******************/
header {
	padding-top: 5rem;
	padding-bottom: 8rem;
	background: linear-gradient(to bottom right, rgba(27, 34, 37, 0), rgba(15, 19, 21, 0)), url('../images/header-background.jpg' style="max-width:100%;height:auto;) center center no-repeat;
	background-size: cover;
	text-align: center;
}

header .text-container {
	margin-bottom: 4rem;
}

header .h1-large {
	margin-bottom: 1.5rem;
}

header p {
	margin-bottom: 2.75rem;
}


/*************************/
/*     Media Queries     */
/*************************/	



/* Min-width 992px */
@media (min-width: 992px) {
	
	/* General Styles */
	.container {
		max-width: 1140px;
	}

	.grid {
		grid-template-columns: repeat(2, 1fr);
	}
	
	.p-heading {
		width: 36rem;
		margin-right: auto;
		margin-left: auto;
	}
	/* end of general styles */


	/* Header */
	header {
		padding-top: 10rem;
		padding-bottom: 10rem;
		text-align: left;
	}

	header .text-container {
		margin-bottom: 0;
	}

	header .h1-large {
		font-size: 4rem;
		line-height: 4.5rem;
	}
	/* end of header */

}
/* end of min-width 992px */


/* Min-width 1200px */
@media (min-width: 1200px) {
	
	/* Header */
	header .text-container {
		margin-right: 2rem;
	}

	header .image-container {
		margin-left: 3rem;
	}
	/* end of header */

}
/* end of min-width 1200px */